package com.ym.mec.biz.event;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;
import org.springframework.context.ApplicationEvent;

/**
 * @Author Joburgess
 * @Date 2021/2/24 0024
 */
public class MusicGroupStatusChangeEvent extends ApplicationEvent {

    private String musicGroupId;

    private MusicGroupStatusEnum oldStatus;

    private MusicGroupStatusEnum currentStatus;

    public MusicGroupStatusChangeEvent(Object source, String musicGroupId, MusicGroupStatusEnum oldStatus, MusicGroupStatusEnum currentStatus) {
        super(source);
        this.musicGroupId = musicGroupId;
        this.oldStatus = oldStatus;
        this.currentStatus = currentStatus;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public MusicGroupStatusEnum getOldStatus() {
        return oldStatus;
    }

    public void setOldStatus(MusicGroupStatusEnum oldStatus) {
        this.oldStatus = oldStatus;
    }

    public MusicGroupStatusEnum getCurrentStatus() {
        return currentStatus;
    }

    public void setCurrentStatus(MusicGroupStatusEnum currentStatus) {
        this.currentStatus = currentStatus;
    }
}
